Bug 1030625 - install guide prereq changes - section 3.1.2 and 3.1.3
install guide prereq changes - section 3.1.2 and 3.1.3
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity unspecified
: GA
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 15:08 EST by John Mazzitelli
Modified: 2014-10-23 08:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 23:42:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2013-11-14 15:08:08 EST
https://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Operations_Network/3.2/html/Installation_Guide/JON_Server_Installation.html

section 3.1.2 we can remove:

   "Install the urw-fonts package. Java requires certain system fonts packages in order to label charts and graphs properly. If the urw-fonts package is not installed, then the monitoring graphics cannot be rendered."

and we need to add the storage node port stuff to:

   "Configure the firewall to allow communication over the server and agent ports. Ensure the necessary ports have been opened to prevent the firewall from blocking the JBoss ON server and agents from communicating. The JBoss ON server typically uses port 7080, and the JBoss ON agents typically use port 16163."

See https://docs.jboss.org/author/display/RHQ/Storage+Properties#StorageProperties-PortSettings or talk to John S. or Stefan.

Section 3.1.3 should not even be here. JON ships with the oracle driver, so no customer should have to do this.
Comment 1 John Mazzitelli 2013-11-14 15:17:35 EST
section 3.2.3 is similar to 3.1.2 so that too needs to change (about the firewall settings and the new storage node ports)
Comment 2 John Mazzitelli 2013-11-14 15:18:14 EST
section 3.2.6 can go away as well (this is about the oracle driver again)
Comment 3 Deon Ballard 2014-05-09 23:42:36 EDT
Mass closure of bugs modified in 2013. All of these are in the currently-published docs.

Note You need to log in before you can comment on or make changes to this bug.